<?php
/* Contact Form 7 support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('gardis_cf7_theme_setup9')) {
	add_action( 'after_setup_theme', 'gardis_cf7_theme_setup9', 9 );
	function gardis_cf7_theme_setup9() {
		
		if (gardis_exists_cf7()) {
			add_action( 'wp_enqueue_scripts', 								'gardis_cf7_frontend_scripts', 1100 );
			add_filter( 'gardis_filter_merge_styles',						'gardis_cf7_merge_styles' );
			add_filter( 'gardis_filter_merge_scripts', 'gardis_cf7_merge_scripts' );
		}
		if (is_admin()) {
			add_filter( 'gardis_filter_tgmpa_required_plugins',			'gardis_cf7_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'gardis_cf7_tgmpa_required_plugins' ) ) {
	
	function gardis_cf7_tgmpa_required_plugins($list=array()) {
		if (gardis_storage_isset('required_plugins', 'contact-form-7')) {
			// CF7 plugin
			$list[] = array(
					'name' 		=> gardis_storage_get_array('required_plugins', 'contact-form-7'),
					'slug' 		=> 'contact-form-7',
					'required' 	=> false
			);
		}
		return $list;
	}
}



// Check if cf7 installed and activated
if ( !function_exists( 'gardis_exists_cf7' ) ) {
	function gardis_exists_cf7() {
		return class_exists('WPCF7');
	}
}
	
// Enqueue custom styles
if ( !function_exists( 'gardis_cf7_frontend_scripts' ) ) {
	
	function gardis_cf7_frontend_scripts() {
		if (gardis_is_on(gardis_get_theme_option('debug_mode')) && gardis_get_file_dir('plugins/contact-form-7/contact-form-7.css')!='') {
			wp_enqueue_style( 'gardis-contact-form-7',  gardis_get_file_url('plugins/contact-form-7/contact-form-7.css'), array(), null );
		}
		if (gardis_is_on(gardis_get_theme_option('debug_mode')) && gardis_get_file_dir('plugins/contact-form-7/contact-form-7.js')!='') {
			wp_enqueue_script( 'gardis-contact-form-7',  gardis_get_file_url('plugins/contact-form-7/contact-form-7.js'), array(), null );
		}
	}
}
	
// Merge custom styles
if ( !function_exists( 'gardis_cf7_merge_styles' ) ) {
	
	function gardis_cf7_merge_styles($list) {
		$list[] = 'plugins/contact-form-7/contact-form-7.css';
		return $list;
	}
}

// Merge custom scripts
if ( !function_exists( 'gardis_cf7_merge_scripts' ) ) {
	
	function gardis_cf7_merge_scripts($list) {
		$list[] = 'plugins/contact-form-7/contact-form-7.js';
		return $list;
	}
}
?>